Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.action
Class AbstractAction

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction

All Implemented Interfaces:
  Action

Direct Known Subclasses:
  BaseAppAction, DisposeServiceAction, FileHandlingAction, ForkProcessAction, JDBCAction, LibrarySessionAction, ListAction, SchemaCreator, SQLScriptAction

    public abstract class AbstractAction

extends java.lang.Object
implements Action

AbstractAction provides a default implementation for the Action interface.

Modified:
  sgarg 02/24/2002 Added "continue.on.error" property., lsaenz 12/12/2000 Added setOptions method again., lsaenz 08/20/2000 Changed setOptions to setDefaultOptions., lsaenz 08/19/2000 Added setOptions method; name, description., lsaenz 08/02/2000 Cleaned up; updated comments., lsaenz 07/10/2000 Changed putValue to remove key if value == null, return the old value., lsaenz 07/06/2000 Created.

Field Summary
`static java.lang.String` | `CONTINUE_ON_ERROR` Option key specifying if the action should continue on an error or not.
`protected java.util.Hashtable` | `m_defaultOptions` A Hashtable containing the default options for this AbstractAction.
`protected java.util.Hashtable` | `m_options` A Hashtable containing the options for this AbstractAction.

Constructor Summary
`AbstractAction()` Creates a new AbstractAction.

Method Summary
`java.lang.String` | `getDescription()` Returns this Action's description.
`java.lang.String` | `getName()` Returns this Action's name.
`java.lang.Object` | `getValue(java.lang.String key)` Searches for the option with the specified key.
`protected boolean` | `isContinueOnError()`
`java.lang.Object` | `putValue(java.lang.String key, java.lang.Object value)` Calls the Hashtable method `put`, or the Hashtable method `remove` if the given value is null.
`void` | `setDefaultOptions(java.util.Hashtable options)` Sets the default options for this AbstractAction.
`void` | `setDescription(java.lang.String description)` Sets this Action's description.
`void` | `setName(java.lang.String name)` Sets this Action's name.
`void` | `setOptions(java.util.Hashtable options)` Replaces this AbstractAction's options table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.ifs.utils.action.Action
`failed, perform, stop`

Field Detail

### CONTINUE_ON_ERROR

    public static final java.lang.String CONTINUE_ON_ERROR

  Description copied from class: `AbstractAction`
  Option key specifying if the action should continue on an error or not. If "true" then the action does not throw an exception even if there was an error. Defined as "continue.on.error".

  See Also:
    Constant Field Values

### m_options

    protected java.util.Hashtable m_options

  Description copied from class: `AbstractAction`
  A Hashtable containing the options for this AbstractAction.

### m_defaultOptions

    protected java.util.Hashtable m_defaultOptions

  Description copied from class: `AbstractAction`
  A Hashtable containing the default options for this AbstractAction.

Constructor Detail

### AbstractAction

    public AbstractAction()

  Creates a new AbstractAction.

Method Detail

### setOptions

    public void setOptions(java.util.Hashtable options)

  Description copied from class: `AbstractAction`
  Replaces this AbstractAction's options table.

  Parameters:
    `options` - the Hashtable that should be used as the options table.

### setDefaultOptions

    public void setDefaultOptions(java.util.Hashtable options)

  Description copied from class: `AbstractAction`
  Sets the default options for this AbstractAction. The default options is searched if the option key is not found in the primary options.

  Parameters:
    `options` - the Hashtable that should be used as the default options.

### setName

    public void setName(java.lang.String name)

  Description copied from class: `AbstractAction`
  Sets this Action's name.

  Specified by:
    `setName` in interface `Action`
  Parameters:
    `name` - the name to set for this Action.

### setDescription

    public void setDescription(java.lang.String description)

  Description copied from class: `AbstractAction`
  Sets this Action's description.

  Specified by:
    `setDescription` in interface `Action`
  Parameters:
    `description` - the description to set for this Action.

### getValue

    public java.lang.Object getValue(java.lang.String key)

  Description copied from class: `AbstractAction`
  Searches for the option with the specified key. If the key is not found, the default options are then checked. The method returns null if the option is not found.

  Specified by:
    `getValue` in interface `Action`
  Parameters:
    `key` - the option key.
  Returns:
    the value in the option list with the specified key value.

### putValue

    public java.lang.Object putValue(java.lang.String key,
                                     java.lang.Object value)

  Description copied from class: `AbstractAction`
  Calls the Hashtable method `put`, or the Hashtable method `remove` if the given value is null.

  Specified by:
    `putValue` in interface `Action`
  Parameters:
    `key` - the option key.
    `value` - the option value.
  Returns:
    the old value of the option with the specified key value.

### getName

    public java.lang.String getName()

  Description copied from interface: `Action`
  Returns this Action's name.

  Specified by:
    `getName` in interface `Action`
  Returns:
    this Action's name, or null if this Action has no name.

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `Action`
  Returns this Action's description.

  Specified by:
    `getDescription` in interface `Action`
  Returns:
    This Action's description, or null if this Action has no description.

### isContinueOnError

    protected boolean isContinueOnError()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD